POV-Ray : Newsgroups : povray.windows : bishop3d and pov-ray 3.7 integration registry fix Server Time: 17 Jan 2019 02:48:48 GMT
  bishop3d and pov-ray 3.7 integration registry fix (Message 1 to 4 of 4)  
From: rodv92
Subject: bishop3d and pov-ray 3.7 integration registry fix
Date: 22 Mar 2017 21:20:01
Message: <web.58d2e9b5466ec6531d2ae3900@news.povray.org>
Hello, i inadvertently lost my reg file containing the entries to fix the
bishop3d/Pov-Ray integration.

As you may know, bishop3d checks registry entries for Pov-Ray 3.6, that were
stripped in 3.7

I used MS/Sysinternals procmon to check what were the missing entries at the
time, a task that was a bit annoying...

Since Pov-Ray 3.6 cannot be (correct me if I am wrong) installed normally side
by side with 3.7 it will take me a bit of time to correct the issue...

anyone has a similar reg file or found it on the web ?

If not, i will regenerate it and post it.

As a suggestion, the logic could be added to the  next 3.7 patches (as a "legacy
modellers compatibility option" to check in the installer GUI ?


Post a reply to this message

From: Alain
Subject: Re: bishop3d and pov-ray 3.7 integration registry fix
Date: 22 Mar 2017 21:42:19
Message: <58d2efbb@news.povray.org>
Le 17-03-22 à 17:16, rodv92 a écrit :
> Hello, i inadvertently lost my reg file containing the entries to fix the
> bishop3d/Pov-Ray integration.
>
> As you may know, bishop3d checks registry entries for Pov-Ray 3.6, that were
> stripped in 3.7
>
> I used MS/Sysinternals procmon to check what were the missing entries at the
> time, a task that was a bit annoying...
>
> Since Pov-Ray 3.6 cannot be (correct me if I am wrong) installed normally side
> by side with 3.7 it will take me a bit of time to correct the issue...
>
> anyone has a similar reg file or found it on the web ?
>
> If not, i will regenerate it and post it.
>
> As a suggestion, the logic could be added to the  next 3.7 patches (as a "legacy
> modellers compatibility option" to check in the installer GUI ?
>
>
>
>
You CAN install version 3.6 alongside 3.7. All you need to do is to do a 
custom install to a folder of your choice.


Post a reply to this message

From: Mike Horvath
Subject: Re: bishop3d and pov-ray 3.7 integration registry fix
Date: 23 Mar 2017 02:20:10
Message: <58d330da$1@news.povray.org>
On 3/22/2017 5:42 PM, Alain wrote:
> Le 17-03-22 à 17:16, rodv92 a écrit :
>> Hello, i inadvertently lost my reg file containing the entries to fix the
>> bishop3d/Pov-Ray integration.
>>
>> As you may know, bishop3d checks registry entries for Pov-Ray 3.6,
>> that were
>> stripped in 3.7
>>
>> I used MS/Sysinternals procmon to check what were the missing entries
>> at the
>> time, a task that was a bit annoying...
>>
>> Since Pov-Ray 3.6 cannot be (correct me if I am wrong) installed
>> normally side
>> by side with 3.7 it will take me a bit of time to correct the issue...
>>
>> anyone has a similar reg file or found it on the web ?
>>
>> If not, i will regenerate it and post it.
>>
>> As a suggestion, the logic could be added to the  next 3.7 patches (as
>> a "legacy
>> modellers compatibility option" to check in the installer GUI ?
>>
>>
>>
>>
> You CAN install version 3.6 alongside 3.7. All you need to do is to do a
> custom install to a folder of your choice.
>


IIRC on Windows there was the problem of too much stuff getting put in 
the "open with..." dialog when you right-click on a file. All versions 
of POV-Ray use the same string in that dialog, so you can't tell them 
apart. I don't know if that was ever fixed.


Mike


Post a reply to this message

From: clipka
Subject: Re: bishop3d and pov-ray 3.7 integration registry fix
Date: 23 Mar 2017 06:55:22
Message: <58d3715a$1@news.povray.org>
Am 22.03.2017 um 22:42 schrieb Alain:
> Le 17-03-22 à 17:16, rodv92 a écrit :
...
>> Since Pov-Ray 3.6 cannot be (correct me if I am wrong) installed
>> normally side
>> by side with 3.7 it will take me a bit of time to correct the issue...
...
> You CAN install version 3.6 alongside 3.7. All you need to do is to do a
> custom install to a folder of your choice.

To my knowledge you don't even need a custom install.


Post a reply to this message

Copyright 2003-2008 Persistence of Vision Raytracer Pty. Ltd.